XPath::Builder(3)

NAME
XML::XPath::Builder - SAX handler for building an XPath tree

SYNOPSIS
 use AnySAXParser;
 use XML::XPath::Builder;

 $builder = XML::XPath::Builder->new();
 $parser = AnySAXParser->new( Handler => $builder );

 $root_node = $parser->parse( Source => [SOURCE] );

DESCRIPTION
"XML::XPath::Builder" is a SAX handler for building an XML::XPath tree.

"XML::XPath::Builder" is used by creating a new instance of "XML::XPath::Builder" and providing it as the Handler for a SAX parser. Calling `"parse()"' on the SAX parser will return the root node of the tree built from that parse.

AUTHOR
Ken MacLeod, <ken@bitsko.slc.ut.us>

SEE ALSO
perl(1), XML::XPath(3)

PerlSAX.pod in libxml-perl

Extensible Markup Language (XML) <http://www.w3c.org/XML>